Instagram

  • Log in
  • Overview
  • Authentication
  • Real-time
  • iPhone Hooks
  • API Console
  • Endpoints
    • Users
    • Relationships
    • Media
    • Comments
    • Likes
    • Tags
    • Locations
    • Geographies
  • Embedding
  • Libraries
  • Forum

Location Endpoints

  • GET /locations/location-id Get information about a location.
  • GET /locations/location-id/media/recent Get a list of media objects from a given location.
  • GET /locations/search Search for a location by geographic coordinate.

GET /locations/location-id

  • Response
https://api.instagram.com/v1/locations/1?access_token=ACCESS-TOKEN
{
    "data": {
        "id": "1",
        "name": "Dogpatch Labs"
        "latitude": 37.782,
        "longitude": -122.387,
    }
}

Get information about a location.

GET /locations/location-id/media/recent

  • Response
https://api.instagram.com/v1/tags/snow/media/recent?access_token=ACCESS-TOKEN
{
    "data": [{
        "type": "image",
        "users_in_photo": [],
        "filter": "Earlybird",
        "tags": ["expobar"],
        "comments": {
            data: [],
            count: 0
        },
        "caption": {
            "created_time": "1296532028",
            "text": "@mikeyk pulls a shot on our #Expobar",
            "from": {
                "username": "josh",
                "full_name": "Josh Riedel",
                "type": "user",
                "id": "33"
            },
            "id": "25663923"
        },
        "likes": {
            "count": 35,
            "data": [{
                "username": "mikeyk",
                "full_name": "Mikeyk",
                "id": "4",
                "profile_picture": "..."
            }, {...subset of likers...}]
        },
        "link": "http://instagr.am/p/BUS3X/",
        "user": {
            "username": "josh",
            "profile_picture": "...",
            "id": "33"
        },
        "created_time": "1296531955",
        "images": {
            "low_resolution": {
                "url": "http://distillery.s3.amazonaws.com/media/2011/01/31/32d364527512437a8a17ba308a7c83bb_6.jpg",
                "width": 306,
                "height": 306
            },
            "thumbnail": {
                "url": "http://distillery.s3.amazonaws.com/media/2011/01/31/32d364527512437a8a17ba308a7c83bb_5.jpg",
                "width": 150,
                "height": 150
            },
            "standard_resolution": {
                "url": "http://distillery.s3.amazonaws.com/media/2011/01/31/32d364527512437a8a17ba308a7c83bb_7.jpg",
                "width": 612,
                "height": 612
            }
        },
        "user_has_liked": false,
        "id": "22097367",
        "location": {
            "latitude": 37.780885099999999,
            "id": "514276",
            "longitude": -122.3948632,
            "name": "Instagram"
        }
    },
    ...
    ]
}

Get a list of recent media objects from a given location.

Parameters
min_timestamp Return media after this UNIX timestamp
min_id Return media before this min_id.
max_id Return media after this max_id.
max_timestamp Return media before this UNIX timestamp

GET /locations/search

  • Response
https://api.instagram.com/v1/locations/search?lat=48.858844&lng=2.294351&access_token=ACCESS-TOKEN
{
    "data": [{
        "id": "788029",
        "latitude": 48.858844300000001,
        "longitude": 2.2943506,
        "name": "Eiffel Tower, Paris"
    },
    {
        "id": "545331",
        "latitude": 48.858334059662262,
        "longitude": 2.2943401336669909,
        "name": "Restaurant 58 Tour Eiffel"
    },
    {
        "id": "421930",
        "latitude": 48.858325999999998,
        "longitude": 2.294505,
        "name": "American Library in Paris"
    }]
}

Search for a location by geographic coordinate.

Parameters
lat Latitude of the center search coordinate. If used, lng is required.
distance Default is 1000m (distance=1000), max distance is 5000.
lng Longitude of the center search coordinate. If used, lat is required.
foursquare_v2_id Returns a location mapped off of a foursquare v2 api location id. If used, you are not required to use lat and lng.
foursquare_id Returns a location mapped off of a foursquare v1 api location id. If used, you are not required to use lat and lng. Note that this method is deprecated; you should use the new foursquare IDs with V2 of their API.
  • About us
  • Support
  • Blog
  • API
  • Jobs
  • Privacy
  • Terms

© 2013 Instagram